![]() |
API Documentation
|
where {imageLocationToOverride} is a property value identifying the specific logo to be updated, which could be one of the following:
POST - used to set new logos for Covata Notification email messages, the header and footer of the Safe Share web application and Covata Administration, as well as their Sign-in page.DELETE - used to reset the logo (set through a POST method to the relevant one of these API endpoints) back to its default.Note: The
DELETEmethod takes no parameters.
This API endpoint serves a number of purposes:
POST method to the relevant one of these API endpoints) back to its default.This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6The following header is also required in a POST request to allow multi-part (including binary) form data elements to be uploaded through the request:
Content-Type: multipart/form-dataNote: It is also worth appending to this header a
boundaryparameter, whose string value is used to demark each multi-part form data element of the request (i.e. this string is not used for any other purpose throughout the entire request).
For example, to use the following string to demark each multi-part form data element:
-----------------------------12345678901234567890123456
assign this string value to theboundaryparameter, which in turn is appended to theContent-Type: multipart/form-dataheader, such that this header will be:
Content-Type: multipart/form-data; boundary=-----------------------------12345678901234567890123456
The following required parameter must be sent in the body of the POST request, as an individual multi-part form data element:
file - The actual data of the image file (i.e. logo) to be uploaded to the Covata Platform's Access Service.
Example ():
A JSON-formatted response containing the following members:
message - .
Example ():
If the request succeeded, then an HTTP response status 200 OK is returned.